%define realname   Text-vCard

Name:		perl-%{realname}
Version:    2.03
Release:    %mkrel 2
License:	GPL or Artistic
Group:		Development/Perl
Summary:    A package that provides APIs to work with single or multiple vCards (RFC 2426) 
Source0:    ftp://ftp.perl.org/pub/CPAN/modules/by-module/Text/Text-vCard-%{version}.tar.bz2
Url:		http://search.cpan.org/dist/%{realname}
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	perl-devel
BuildRequires:	perl(Text::vFile::asData)
BuildRequires:	perl(File::Slurp)
BuildArch: noarch

%description
A vCard is an electronic business card, containing information on a
person, a record, a set of address information, and more.

This package contains two related APIs:
 - Text::vCard, to create or edit a single vCard
 - Text::vCard::Addressbook, to work with multiple vCards

Text::vCard can also use data read through Text::vFile::asData to
generate a vCard with that content. It is recommended to use
Text::vCard::Addressbook, as it handles creating vCards from an existing
file for you.
%prep
%setup -q -n Text-vCard-%{version} 

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc Changes
%{perl_vendorlib}/Text/*
%{_mandir}/man3/*


%changelog
* Fri Aug 08 2008 Thierry Vignaud <tvignaud@mandriva.com> 2.03-2mdv2009.0
+ Revision: 268865
- rebuild early 2009.0 package (before pixel changes)

* Tue Apr 15 2008 Guillaume Rousse <guillomovitch@mandriva.org> 2.03-1mdv2009.0
+ Revision: 193949
- update to new version 2.03

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Sep 03 2007 Guillaume Rousse <guillomovitch@mandriva.org> 2.01-1mdv2008.0
+ Revision: 78722
- update to new version 2.01

* Wed Jun 27 2007 Michael Scherer <misc@mandriva.org> 2.00-2mdv2008.0
+ Revision: 45041
- yet another cosmetic fix from John Keller
- cosmetic fix proposed by John Keller

* Wed May 23 2007 Michael Scherer <misc@mandriva.org> 2.00-1mdv2008.0
+ Revision: 30203
- Import perl-Text-vCard



* Wed May 23 2007 Michael Scherer <misc@mandriva.org> 2.00-1mdv2008.0
- First Mandriva package
